# Get device message

> **Required Permission:** `mdm.global.deviceMessage.get` Retrieves the details for a specific device message

Source: https://docs.applivery.com/en/api/uem/device-message/get-organizations-organizationid-mdm-device-messages-devicemessageid/

---

# Get device message

**Required Permission:** `mdm.global.deviceMessage.get`

Retrieves the details for a specific device message

No request body.

**Request:** `GET https://api.applivery.io/v1/organizations/:organizationId/mdm/device-messages/:deviceMessageId`

## OpenAPI specification

Machine-readable endpoint definition (dereferenced OpenAPI operation).

```json
{
  "method": "GET",
  "path": "/organizations/:organizationId/mdm/device-messages/:deviceMessageId",
  "baseUrl": "https://api.applivery.io/v1",
  "servers": [
    {
      "url": "https://api.applivery.io/v1"
    }
  ],
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "auth": {
    "type": "http",
    "scheme": "bearer",
    "header": "Authorization",
    "format": "Bearer <token>"
  },
  "permission": "mdm.global.deviceMessage.get",
  "parameters": [
    {
      "name": "organizationId",
      "description": "",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "pattern": "^[a-fA-F0-9]{24}$"
      }
    },
    {
      "name": "deviceMessageId",
      "description": "",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "pattern": "^[a-fA-F0-9]{24}$"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "status": {
                "type": "boolean"
              },
              "data": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "pattern": "^[a-fA-F0-9]{24}$"
                  },
                  "organizationId": {
                    "type": "string",
                    "pattern": "^[a-fA-F0-9]{24}$"
                  },
                  "deviceInfo": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "emmDevice",
                          "admDevice",
                          "winDevice",
                          "aosDevice"
                        ]
                      }
                    },
                    "required": [
                      "id",
                      "type"
                    ],
                    "additionalProperties": false
                  },
                  "fingerprint": {
                    "type": "string",
                    "maxLength": 500
                  },
                  "origin": {
                    "type": "string",
                    "enum": [
                      "agent",
                      "mdm",
                      "automation",
                      "dashboard"
                    ]
                  },
                  "event": {
                    "type": "object",
                    "properties": {
                      "code": {
                        "type": "string",
                        "enum": [
                          "ENROLLMENT_SUCCESS",
                          "ENROLLMENT_FAILED",
                          "ENROLLMENT_UNENROLLED",
                          "CERTIFICATE_INSTALLED",
                          "CERTIFICATE_INSTALL_FAILED",
                          "CERTIFICATE_EXPIRED",
                          "CERTIFICATE_EXPIRING_SOON",
                          "CERTIFICATE_REVOKED",
                          "POLICY_APPLIED",
                          "POLICY_APPLY_FAILED",
                          "POLICY_VIOLATION",
                          "POLICY_REMOVED",
                          "COMPLIANCE_CHECK_PASSED",
                          "COMPLIANCE_CHECK_FAILED",
                          "COMPLIANCE_CHECK_ERROR",
                          "SECURITY_JAILBREAK_DETECTED",
                          "SECURITY_ENCRYPTION_DISABLED",
                          "SECURITY_PASSCODE_MISSING",
                          "APP_INSTALLED",
                          "APP_INSTALL_FAILED",
                          "APP_UNINSTALLED",
                          "APP_UPDATE_REQUIRED",
                          "PROFILE_INSTALLED",
                          "PROFILE_INSTALL_FAILED",
                          "PROFILE_REMOVED",
                          "DEVICE_RESTARTED",
                          "DEVICE_WIPED",
                          "DEVICE_LOCKED",
                          "DEVICE_STORAGE_LOW",
                          "OS_UPDATE_REQUIRED",
                          "OS_UPDATE_AVAILABLE",
                          "OS_UNSUPPORTED",
                          "OS_VERSION_BELOW_MINIMUM",
                          "UNKNOWN"
                        ]
                      },
                      "severity": {
                        "type": "string",
                        "enum": [
                          "info",
                          "warning",
                          "error",
                          "critical"
                        ]
                      },
                      "content": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "code",
                      "severity",
                      "content"
                    ],
                    "additionalProperties": false
                  },
                  "occurrence": {
                    "type": "object",
                    "properties": {
                      "count": {
                        "type": "number"
                      },
                      "firstOccurredAt": {
                        "type": "string"
                      },
                      "lastOccurredAt": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "count",
                      "firstOccurredAt",
                      "lastOccurredAt"
                    ],
                    "additionalProperties": false
                  },
                  "expiresAt": {
                    "type": "string"
                  },
                  "createdAt": {
                    "type": "string"
                  },
                  "updatedAt": {
                    "type": "string"
                  },
                  "version": {
                    "type": "number"
                  }
                },
                "required": [
                  "id",
                  "organizationId",
                  "deviceInfo",
                  "fingerprint",
                  "origin",
                  "event",
                  "occurrence",
                  "expiresAt",
                  "createdAt",
                  "updatedAt",
                  "version"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "status",
              "data"
            ]
          }
        }
      }
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4002
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "No auth token"
                            ]
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4004
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Invalid Token"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              3001
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Entity not found"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    }
  }
}
```
